using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    [JsonConverter(typeof(StringEnumConverter))]
    public enum ReadingContext
    {
        [EnumMember(Value = "Interruption.Begin")]
        Interruption_Begin=1,
        [EnumMember(Value = "Interruption.End")]
        Interruption_End,
        Other,
        [EnumMember(Value = "Sample.Clock")]
        Sample_Clock,
        [EnumMember(Value = "Sample.Periodic")]
        Sample_Periodic,
        [EnumMember(Value = "Transaction.Begin")]
        Transaction_Begin,
        [EnumMember(Value = "Transaction.End")]
        Transaction_End,
        Trigger,
    }
}
